#ifndef XAUDIOREVERBSETTINGS_H
#define XAUDIOREVERBSETTINGS_H

#include "xasset.h"
#include "xreverbsettings.h"

class XAudioReverbSettings : public XAsset
{
public:
    XAudioReverbSettings();

    int GetPresetOverridden() const;
    void SetPresetOverridden(int aPresetOveridden);

    XReverbSettings* GetReverbSettings() const;
    void SetReverbSettings(XReverbSettings* aReverbSettings);

    virtual void Clear() override;
    virtual void ParseData(XDataStream *aStream) override;

private:
    qint32 mPresetOverridden;
    XReverbSettings* mReverbSettings;
};

#endif // XAUDIOREVERBSETTINGS_H
